#include <iostream>

using namespace std;

int main()
{
    int n, x;
    cin >> n >> x;
    long long levo = LLONG_MAX;
    long long desno = LLONG_MIN;
    for (int i = 0; i < n; i++){
        long long y;
        cin >> y;
        if(levo > y) levo = y;
        if (desno < y) desno = y;
    }

    if(x <= desno && x <= levo) cout << desno - x;
    else if(x >= desno && x >= levo) cout << x - levo;
    else cout << x + desno - 2 * levo;
}